<template lang="pug">
    .login
        v-simple-table
            template(v-slot:default='')
                thead
                    tr
                        th.text-left
                            | Nom d'utilisateur
                        th.text-left
                            | Actions
                tbody
                    tr(v-for='user in users' :key='user.name')
                        td {{ user.username }}
                        td
                            v-tooltip(right)
                                template(v-slot:activator='{ on, attrs }')
                                    v-btn(icon v-bind='attrs' v-on='on' @click='login(user)')
                                        v-icon login
                                | Se connecter
</template>

<script>
import requests from "@/services/requests.js";
export default {
	name: "Login",
	data() {
		return {
			users: [],
		};
	},
	methods: {
		login(user) {
            // Just select a user to use the application, an authentication system could be implemented with login/password, and also the possibility to create new users
			this.$store.state.user = user;
			this.$router.push("/");
		},
	},
	mounted() {
        // get available users from the backend
		requests.getUsers().then((r) => {
			this.users = r;
		});
	},
};
</script>
